XKBCLI-HOW-TO-TYPE(1)

NAME
xkbcli-how-to-type - query how to type a given Unicode code point or keysym

SYNOPSIS
xkbcli-how-to-type [options] character/codepoint/keysym

DESCRIPTION
xkbcli-how-to-type prints the key combinations (keycode + modifiers) in the keymap's layouts which would produce the given Unicode code point or keysym.

codepoint/keysym is either:
•   a single character (requires a terminal which uses UTF-8 character encoding);
•   a Unicode code point, interpreted as hexadecimal if prefixed with 0x or U+ else as decimal;
•   a keysym if --keysym is used: either a numeric value (hexadecimal if prefixed with 0x else decimal) or a keysym name.

EXAMPLES

xkbcli-how-to-type --layout us 97

xkbcli-how-to-type --layout us 0x61

xkbcli-how-to-type --layout us U+0061

xkbcli-how-to-type --layout us a
    Print the key combinations that produce the letter "a" ( decimal code point: 97, hexadecimal code point: 61) in the default us layout.

xkbcli-how-to-type --layout us --keysym 97

xkbcli-how-to-type --layout us --keysym 0x61

xkbcli-how-to-type --layout us --keysym a
    Print the key combinations that produce the keysym "a" ( decimal code: 97, hexadecimal code: 61) in the default us layout.

OPTIONS

--keysym
    Treat the argument as a keysym, not a Unicode code point

--rules rules
    The XKB ruleset

--model model
    The XKB model

--layout layout
    The XKB layout

--variant variant
    The XKB layout variant

--options options
    The XKB options

--enable-environment-names
    Allow to set the default RMLVO values via the following environment variables:
    -   XKB_DEFAULT_RULES
    -   XKB_DEFAULT_MODEL
    -   XKB_DEFAULT_LAYOUT
    -   XKB_DEFAULT_VARIANT
    -   XKB_DEFAULT_OPTIONS
    Note that this option may affect the default values of the previous options.

--help
    Print a help message and exit.

SEE ALSO
xkbcli(1), The libxkbcommon online documentation: https://xkbcommon.org